Git Mailing List Archive mirror
 help / color / mirror / Atom feed
From: "John Cai via GitGitGadget" <gitgitgadget@gmail.com>
To: git@vger.kernel.org
Cc: John Cai <johncai86@gmail.com>, John Cai <johncai86@gmail.com>
Subject: [PATCH 16/20] t5301-sliding-window: modernize test format
Date: Thu, 18 May 2023 20:03:21 +0000	[thread overview]
Message-ID: <6325c8f48c4fd36cc509d4a20e5eb4d6377547b0.1684440206.git.gitgitgadget@gmail.com> (raw)
In-Reply-To: <pull.1513.git.git.1684440205.gitgitgadget@gmail.com>

From: John Cai <johncai86@gmail.com>

Some tests still use the old format with four spaces indentation.
Standardize the tests to the new format with tab indentation.

Signed-off-by: John Cai <johncai86@gmail.com>
---
 t/t5301-sliding-window.sh | 100 +++++++++++++++++++-------------------
 1 file changed, 50 insertions(+), 50 deletions(-)

diff --git a/t/t5301-sliding-window.sh b/t/t5301-sliding-window.sh
index 3ccaaeb3977..226490d60df 100755
--- a/t/t5301-sliding-window.sh
+++ b/t/t5301-sliding-window.sh
@@ -8,55 +8,55 @@ test_description='mmap sliding window tests'
 TEST_PASSES_SANITIZE_LEAK=true
 . ./test-lib.sh
 
-test_expect_success \
-    'setup' \
-    'rm -f .git/index* &&
-     for i in a b c
-     do
-         echo $i >$i &&
-	 test-tool genrandom "$i" 32768 >>$i &&
-         git update-index --add $i || return 1
-     done &&
-     echo d >d && cat c >>d && git update-index --add d &&
-     tree=$(git write-tree) &&
-     commit1=$(git commit-tree $tree </dev/null) &&
-     git update-ref HEAD $commit1 &&
-     git repack -a -d &&
-     test "$(git count-objects)" = "0 objects, 0 kilobytes" &&
-     pack1=$(ls .git/objects/pack/*.pack) &&
-     test -f "$pack1"'
-
-test_expect_success \
-    'verify-pack -v, defaults' \
-    'git verify-pack -v "$pack1"'
-
-test_expect_success \
-    'verify-pack -v, packedGitWindowSize == 1 page' \
-    'git config core.packedGitWindowSize 512 &&
-     git verify-pack -v "$pack1"'
-
-test_expect_success \
-    'verify-pack -v, packedGit{WindowSize,Limit} == 1 page' \
-    'git config core.packedGitWindowSize 512 &&
-     git config core.packedGitLimit 512 &&
-     git verify-pack -v "$pack1"'
-
-test_expect_success \
-    'repack -a -d, packedGit{WindowSize,Limit} == 1 page' \
-    'git config core.packedGitWindowSize 512 &&
-     git config core.packedGitLimit 512 &&
-     commit2=$(git commit-tree $tree -p $commit1 </dev/null) &&
-     git update-ref HEAD $commit2 &&
-     git repack -a -d &&
-     test "$(git count-objects)" = "0 objects, 0 kilobytes" &&
-     pack2=$(ls .git/objects/pack/*.pack) &&
-     test -f "$pack2" &&
-     test "$pack1" \!= "$pack2"'
-
-test_expect_success \
-    'verify-pack -v, defaults' \
-    'git config --unset core.packedGitWindowSize &&
-     git config --unset core.packedGitLimit &&
-     git verify-pack -v "$pack2"'
+test_expect_success 'setup' '
+	rm -f .git/index* &&
+	for i in a b c
+	do
+	echo $i >$i &&
+	test-tool genrandom "$i" 32768 >>$i &&
+	git update-index --add $i || return 1
+	done &&
+	echo d >d && cat c >>d && git update-index --add d &&
+	tree=$(git write-tree) &&
+	commit1=$(git commit-tree $tree </dev/null) &&
+	git update-ref HEAD $commit1 &&
+	git repack -a -d &&
+	test "$(git count-objects)" = "0 objects, 0 kilobytes" &&
+	pack1=$(ls .git/objects/pack/*.pack) &&
+	test -f "$pack1"
+'
+
+test_expect_success 'verify-pack -v, defaults' '
+	git verify-pack -v "$pack1"
+'
+
+test_expect_success 'verify-pack -v, packedGitWindowSize == 1 page' '
+	git config core.packedGitWindowSize 512 &&
+	git verify-pack -v "$pack1"
+'
+
+test_expect_success 'verify-pack -v, packedGit{WindowSize,Limit} == 1 page' '
+	git config core.packedGitWindowSize 512 &&
+	git config core.packedGitLimit 512 &&
+	git verify-pack -v "$pack1"
+'
+
+test_expect_success 'repack -a -d, packedGit{WindowSize,Limit} == 1 page' '
+	git config core.packedGitWindowSize 512 &&
+	git config core.packedGitLimit 512 &&
+	commit2=$(git commit-tree $tree -p $commit1 </dev/null) &&
+	git update-ref HEAD $commit2 &&
+	git repack -a -d &&
+	test "$(git count-objects)" = "0 objects, 0 kilobytes" &&
+	pack2=$(ls .git/objects/pack/*.pack) &&
+	test -f "$pack2" &&
+	test "$pack1" \!= "$pack2"
+'
+
+test_expect_success 'verify-pack -v, defaults' '
+	git config --unset core.packedGitWindowSize &&
+	git config --unset core.packedGitLimit &&
+	git verify-pack -v "$pack2"
+'
 
 test_done
-- 
gitgitgadget


  parent reply	other threads:[~2023-05-18 20:04 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-18 20:03 [PATCH 00/20] tests: modernize test format John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 01/20] t1000-basic: " John Cai via GitGitGadget
2023-05-18 21:20   ` Eric Sunshine
2023-05-18 20:03 ` [PATCH 02/20] t0030-stripspace: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 03/20] t3210-pack-refs: " John Cai via GitGitGadget
2023-05-19 17:07   ` Junio C Hamano
2023-05-19 17:52     ` John Cai
2023-05-19 18:34       ` Junio C Hamano
2023-05-18 20:03 ` [PATCH 04/20] t1001-read-tree-m-2way: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 05/20] t1002-read-tree-m-u-2way: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 06/20] t1006-cat-file: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 07/20] t3500-cherry: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 08/20] t3700-add: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 09/20] t3903-stash: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 10/20] t4002-diff-basic: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 11/20] t4003-diff-rename-1: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 12/20] t4004-diff-rename-symlink: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 13/20] t4202-log: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 14/20] t4206-log-follow-harder-copies: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 15/20] t5300-pack-object: " John Cai via GitGitGadget
2023-05-18 20:03 ` John Cai via GitGitGadget [this message]
2023-05-18 20:03 ` [PATCH 17/20] t5303-pack-corruption-resilience: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 18/20] t5306-pack-nobase: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 19/20] t6050-replace: " John Cai via GitGitGadget
2023-05-18 20:03 ` [PATCH 20/20] t7101-reset-empty-subdirs: " John Cai via GitGitGadget

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=6325c8f48c4fd36cc509d4a20e5eb4d6377547b0.1684440206.git.gitgitgadget@gmail.com \
    --to=gitgitgadget@gmail.com \
    --cc=git@vger.kernel.org \
    --cc=johncai86@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).